@#example@
@(define g (graph '(1 2 3 4) '((1 2) (1 3) (1 4))))@
@(define (max-vert l)
        (cond ((null? l) 0)
              (#t (max (degree (car l)) (max-vert (cdr l))))))@
@(define-generic delta)@
@(define-method delta ((g <graph*>))
        (let ((v (set-vertex->list (vertices g))))
                (max-vert v)))@
@(delta g)@
@#endexample@
@(bye)@
